Skip to main content
PUT
/
expenses
/
categories
/
{category_id}
Update Category
curl --request PUT \
  --url https://api.everhour.com/expenses/categories/{category_id} \
  --header 'Content-Type: application/json' \
  --header 'X-Api-Key: <api-key>' \
  --data '
{
  "color": "#92dfb5",
  "name": "Mileage",
  "unitBased": true,
  "unitName": "Miles",
  "unitPrice": 134
}
'
{
  "color": "#92dfb5",
  "id": 236046,
  "name": "Mileage",
  "unitBased": true,
  "unitName": "Miles",
  "unitPrice": 134
}

Authorizations

X-Api-Key
string
header
required

Path Parameters

category_id
number
required

Expense Category ID

Example:

94

Body

application/json
color
string
Example:

"#92dfb5"

name
string
Example:

"Mileage"

unitBased
boolean
Example:

true

unitName
string
Example:

"Miles"

unitPrice
number
Example:

134

Response

OK

color
string
Example:

"#92dfb5"

id
number
Example:

236046

name
string
Example:

"Mileage"

unitBased
boolean
Example:

true

unitName
string
Example:

"Miles"

unitPrice
number
Example:

134